# JsonCyclicError class

Reports that an object could not be stringified due to cyclic references.

An object that references itself cannot be serialized by JsonCodec.encode/JsonEncoder.convert. When the cycle is detected, a JsonCyclicError is thrown.

Inheritance
  - Object
  - Error
  - JsonUnsupportedObjectError
  - JsonCyclicError

## Constructors

JsonCyclicError(Object object)
  The first object that was detected as part of a cycle.

## Properties

cause → Object
  The exception thrown when trying to convert the object.
  final, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
partialResult → String
  The partial result of the conversion, up until the error happened. [...]
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace
  read-only, inherited
unsupportedObject → Object
  The object that could not be serialized.
  final, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited